All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.olap
Class HttpOLAPActionStrategyFactory

    com.sas.actionprovider.strategies.olap.HttpOLAPActionStrategyFactory

All Implemented Interfaces:
  HttpOLAPActionTypeKeysInterface, OLAPActionTypeKeysInterface, OLAPTableViewAreaInterface

    public class HttpOLAPActionStrategyFactory

implements OLAPTableViewAreaInterface, HttpOLAPActionTypeKeysInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPTableViewAreaInterface
`COLUMN_HEADER_AREA, COLUMN_TITLE_AREA, DATA_CELL_AREA, ROW_HEADER_AREA, ROW_TITLE_AREA, TITLE_AREA`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.HttpOLAPActionTypeKeysInterface
`CELL_VALUE_ASCENDING_SORT_ACROSS_HIERARCHIES_ACTION, CELL_VALUE_DESCENDING_SORT_ACROSS_HIERARCHIES_ACTION, CHANGE_DATA_ITEM_ACTION, CHANGE_DATA_ITEM_LABEL_ACTION, CHANGE_DATA_ITEM_SAME_DIMENSION_ACTION, EMPTY_LABEL_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_EXCEL_SELECTOR_ACTION, FIND_SELECTOR_ACTION, HEADER_LABEL_ACTION, LAST_HEADER_LABEL_ACTION, MEASURE_LABEL_ACTION, MEMBER_PROPERTIES_SELECTOR_ACTION, MOVE_LABEL_ACTION, MOVE_MEASURE_LABEL_ACTION, RESIZE_COLUMN_ACTION, SHOW_DETAIL_DATA_ACTION, SORT_LABEL_ACTION, TITLE_LABEL_ACTION`

Fields inherited from interface com.sas.actionprovider.support.olaptableview.OLAPActionTypeKeysInterface
`ASCENDING_SORT_ACTION, CALCULATE_NEW_MEASURE_SELECTOR_ACTION, CELL_VALUE_ASCENDING_SORT_ACTION, CELL_VALUE_DESCENDING_SORT_ACTION, CLEAR_CELL_VALUE_SORT_ACTION, CLEAR_LEVEL_LABEL_SORT_ACTION, CLEAR_SORT_ACTION, COLLAPSE_ACTION, COLLAPSE_ALL_ACTION, DESCENDING_SORT_ACTION, DRILL_DOWN_ACTION, DRILL_UP_ACTION, EXPAND_ACTION, EXPAND_ALL_ACTION, FAR_SELECTOR_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, ISOLATE_MEMBER_ACTION, LEVEL_LABEL_ASCENDING_SORT_ACTION, LEVEL_LABEL_DESCENDING_SORT_ACTION, MOVE_ACTION, MOVE_IN_ACTION, MOVE_MEASURE_IN_ACTION, MOVE_MEASURE_OUT_ACTION, MOVE_OUT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, ROTATE_ACTION, SHOW_DETAIL_ACTION, SHOW_DETAIL_DATA_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Constructor Summary
`HttpOLAPActionStrategyFactory()`

Method Summary
`static ActionStrategyInterface` | `getActionStrategy(java.lang.String areaType, java.lang.String actionType, boolean fromCache)`

Constructor Detail

### HttpOLAPActionStrategyFactory

    public HttpOLAPActionStrategyFactory()

Method Detail

### getActionStrategy

    public static ActionStrategyInterface getActionStrategy(java.lang.String areaType,
                                                            java.lang.String actionType,
                                                            boolean fromCache)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.